/*********************************************************************
 * \file   AssetA.hpp
 *
 * \author Romain BOULLARD
 * \date   April 2026
 *********************************************************************/
#ifndef BIGFOOT_ASSETSFORTESTING_ASSET_ASSETA_HPP
#define BIGFOOT_ASSETSFORTESTING_ASSET_ASSETA_HPP
#include <Engine/Asset/Asset.hpp>

#include <AssetsForTesting/Asset/AssetA_generated.hpp>

namespace Bigfoot
{
struct AssetATraits
{
    using FLAT = ::Flat::Bigfoot::AssetA;
};

class AssetA: public Asset<AssetATraits>
{
  public:
    AssetA() = default;

    AssetA(const eastl::span<const std::byte> p_flatbuffer):
        Asset(p_flatbuffer)
    {
    }

    AssetA(const AssetA& p_asset) = default;
    AssetA(AssetA&& p_asset) = default;

    ~AssetA() = default;

    AssetA& operator=(const AssetA& p_asset) = default;
    AssetA& operator=(AssetA&& p_asset) = default;
};
}   // namespace Bigfoot

#endif
